Public Network API (v1.0)
Managing public network resources: public ports (ports with direct public IP addresses).
List public ports
Returns a list of public ports.
Authorizations:
query Parameters
| network_id | string <uuid> Filters ports by network identifier. |
| description | string Filters ports by description. |
| subnet | string Filters ports by network subnet CIDR. |
Responses
Response samples
- 200
- 400
- 401
- 403
- 500
- default
{- "ports": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
- "network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
- "ip_address": "192.168.0.1",
- "subnet": "10.10.10.0/24",
- "gateway": "192.168.0.1",
- "security_group_ids": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
], - "admin_state_up": true,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "description": "string"
}
]
}Create public port
Creates a new public port in a service network.
Authorizations:
Request Body schema: application/jsonrequired
| description | string or null <= 5000 characters Public port description. |
| admin_state_up | boolean Default: true Indicates whether the port administrative state is up. |
| security_group_ids | Array of strings <uuid> <= 20 items [ items <uuid > ] List of security group identifiers to associate with the port. If not provided, the default security group is assigned. |
Responses
Request samples
- Payload
{- "description": "string",
- "admin_state_up": true,
- "security_group_ids": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}Response samples
- 201
- 400
- 401
- 403
- 429
- 500
- default
{- "port": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
- "network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
- "ip_address": "192.168.0.1",
- "subnet": "10.10.10.0/24",
- "gateway": "192.168.0.1",
- "security_group_ids": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
], - "admin_state_up": true,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "description": "string"
}
}Get public port
Returns a public port by its identifier.
Authorizations:
path Parameters
| port_id required | string <uuid> Public port identifier. This ID is the same as the corresponding OpenStack port ID. |
Responses
Response samples
- 200
- 400
- 401
- 403
- 404
- 500
- default
{- "port": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
- "network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
- "ip_address": "192.168.0.1",
- "subnet": "10.10.10.0/24",
- "gateway": "192.168.0.1",
- "security_group_ids": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
], - "admin_state_up": true,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "description": "string"
}
}Update public port
Updates a public port by its identifier. Allows changing the administrative state of the port (enable or disable) and the list of security groups assigned to the port.
Authorizations:
path Parameters
| port_id required | string <uuid> Public port identifier. This ID is the same as the corresponding OpenStack port ID. |
Request Body schema: application/jsonrequired
| description | string or null <= 5000 characters Public port description. |
| admin_state_up | boolean Indicates whether the port administrative state is up. |
| security_group_ids | Array of strings <uuid> [ 1 .. 20 ] items [ items <uuid > ] List of security group identifiers to associate with the port. |
Responses
Request samples
- Payload
{- "description": "string",
- "admin_state_up": true,
- "security_group_ids": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}Response samples
- 200
- 400
- 401
- 403
- 404
- 500
- default
{- "port": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
- "network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
- "ip_address": "192.168.0.1",
- "subnet": "10.10.10.0/24",
- "gateway": "192.168.0.1",
- "security_group_ids": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
], - "admin_state_up": true,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "description": "string"
}
}Delete public port
Deletes a public port by its identifier.
Authorizations:
path Parameters
| port_id required | string <uuid> Public port identifier. This ID is the same as the corresponding OpenStack port ID. |
Responses
Response samples
- 400
- 401
- 403
- 404
- 409
- 500
- default
{- "code": 0,
- "msg": "string"
}Get project quotas
Returns quotas for direct public IP addresses for the project.
Authorizations:
path Parameters
| project_id required | string^[a-f0-9]{32}$ Example: df6f01408bef4878a2f32307684aa6f9 Project identifier in compact UUID format (no hyphens). |
Responses
Response samples
- 200
- 400
- 401
- 403
- 404
- 500
- default
{- "network_direct_public_ips": [
- {
- "value": 0,
- "used": 0
}
]
}